Team Folder Update Sync Settings

View as MarkdownOpen in Claude
Updates the sync settings on a team folder or its contents. Use of this endpoint requires that the team has team selective sync enabled. **Required scope:** `team_data.content.write` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects an object.
team_folder_idanyRequired
The ID of the team folder.
content_sync_settingslist of objects or nullOptional
Sync settings to apply to contents of this team folder.
sync_settingobject or nullOptional
Sync setting to apply to the team folder itself. Only meaningful if the team folder is not a shared team root.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
content_sync_settingslist of objects
Sync settings applied to contents of this team folder.
is_team_shared_dropboxboolean
True if this team folder is a shared team root.
namestring
The name of the team folder.
statusobject
The status of the team folder.
sync_settingobject
The sync setting applied to this team folder.
team_folder_idany
The ID of the team folder.
quota_limitlongOptional
The quota limit in bytes for this team folder namespace tree.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error